# Get User

> Retrieve a specific workspace member by ID

## Path Parameters

<ParamField path="id" type="string" required>
  The unique identifier (UUID) of the user
</ParamField>

## Response

<ResponseField name="data" type="object">
  The workspace user object
  
  <Expandable title="User Object">
    <ResponseField name="id" type="string">
      Unique identifier for the user
    </ResponseField>
    
    <ResponseField name="email" type="string">
      User's email address
    </ResponseField>
    
    <ResponseField name="name" type="string">
      User's full name
    </ResponseField>
    
    <ResponseField name="avatar" type="string">
      URL to user's avatar image
    </ResponseField>
    
    <ResponseField name="username" type="string">
      User's username
    </ResponseField>
    
    <ResponseField name="language" type="string">
      User's preferred language
    </ResponseField>
    
    <ResponseField name="created_at" type="string">
      ISO 8601 timestamp of user account creation
    </ResponseField>
    
    <ResponseField name="workspace_role" type="string">
      User's role in the workspace
    </ResponseField>
    
    <ResponseField name="joined_at" type="string">
      ISO 8601 timestamp when user joined the workspace
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>

```bash cURL
curl -X GET "https://api.orwel.io/api/v1/users/cc0e8400-e29b-41d4-a716-446655440007" \
  -H "Authorization: Bearer orwel_sk_YOUR_KEY"
```

```javascript JavaScript
const userId = 'cc0e8400-e29b-41d4-a716-446655440007';

const response = await fetch(
  `https://api.orwel.io/api/v1/users/${userId}`,
  {
    headers: {
      'Authorization': 'Bearer orwel_sk_YOUR_KEY'
    }
  }
);

const data = await response.json();
console.log(data);
```

```python Python
import requests

user_id = 'cc0e8400-e29b-41d4-a716-446655440007'

headers = {
    'Authorization': 'Bearer orwel_sk_YOUR_KEY'
}

response = requests.get(
    f'https://api.orwel.io/api/v1/users/{user_id}',
    headers=headers
)

data = response.json()
print(data)
```

</RequestExample>

<ResponseExample>

```json 200 OK
{
  "data": {
    "id": "cc0e8400-e29b-41d4-a716-446655440007",
    "email": "john@example.com",
    "name": "John Doe",
    "avatar": "https://example.com/avatar.jpg",
    "username": "johndoe",
    "language": "en",
    "created_at": "2024-06-15T10:30:00Z",
    "workspace_role": "admin",
    "joined_at": "2024-06-15T10:30:00Z"
  }
}
```

```json 404 Not Found
{
  "error": "not_found",
  "message": "User not found or not a member of your workspace"
}
```

</ResponseExample>
